Delete all the tasks of a task type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
DELETE /actions/projects/{project_id}/task-types/{task_type_id}/delete-tasks

Delete all the tasks of a task type in a project, with their comments and previews. Use it when tasks were created by mistake. You must be an administrator.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • task_type_id string(uuid) Required

    Unique identifier of the task type

Responses

  • 204

    The tasks are deleted

  • 403

    You are not an administrator

  • 404

    The project does not exist

DELETE /actions/projects/{project_id}/task-types/{task_type_id}/delete-tasks
curl -X DELETE "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/delete-tasks" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/delete-tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())